/*
 * $Id: main.cpp,v 1.6 2000/04/04 12:59:21 hige Exp $
 *
 * Copyright (C) 1999 SUZUKI, Mitsuhiro <hige@higesoft.rim.or.jp>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#include "kebook.h"
#include <kapp.h>
#include <iostream>

#include "cebook.hpp"

int main(int argc, char *argv[])
{
	KEBookApp app(argc, argv, "kebook");
    try {
        // All session management is handled in the RESTORE macro
        if (app.isRestored()) {
                RESTORE(KEBook)
        } else {
            KEBook *widget = new KEBook;
            app.setMainWidget(widget);
            widget->show();
        }
    } catch (ebook::CEBook_Exception& e) {
        cerr << e.what() << endl;
    }

	return app.exec();
}
//
// $Log: main.cpp,v $
// Revision 1.6  2000/04/04 12:59:21  hige
// Change position of log in comment.
//
//
